Project

General

Profile

Bug #52459

Fix traceback when updating a plugin

Added by gerry the hat about 1 year ago. Updated 8 months ago.

Status:
Done
Priority:
No priority
Assignee:
Brandon Schneider
Category:
Middleware
Target version:
Severity:
Med High
Reason for Closing:
Reason for Blocked:
Needs QA:
No
Needs Doc:
No
Needs Merging:
No
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No

Description

I'm trying to update the Emby plugin with jails / update while getting an error:

Error: concurrent.futures.process._RemoteTraceback:
"""
Traceback (most recent call last):
File "/usr/local/lib/python3.7/concurrent/futures/process.py", line 232, in process_worker
r = call_item.fn(*call_item.args, **call_item.kwargs)
File "/usr/local/lib/python3.7/site-packages/middlewared/worker.py", line 95, in main_worker
res = loop.run_until_complete(coro)
File "/usr/local/lib/python3.7/asyncio/base_events.py", line 568, in run_until_complete
return future.result()
File "/usr/local/lib/python3.7/site-packages/middlewared/worker.py", line 55, in _run
return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
File "/usr/local/lib/python3.7/site-packages/middlewared/worker.py", line 48, in _call
return methodobj(*params)
File "/usr/local/lib/python3.7/site-packages/middlewared/worker.py", line 48, in _call
return methodobj(*params)
File "/usr/local/lib/python3.7/site-packages/middlewared/schema.py", line 781, in nf
return f(*args, **kwargs)
File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/jail.py", line 755, in update_to_latest_patch
iocage.update()
File "/usr/local/lib/python3.7/site-packages/iocage_lib/iocage.py", line 1779, in update
callback=self.callback
File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_plugin.py", line 835, in update
plugin_conf = self.
_load_plugin_json()
File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_plugin.py", line 1144, in __load_plugin_json
return _conf
UnboundLocalError: local variable '_conf' referenced before assignment
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/usr/local/lib/python3.7/site-packages/middlewared/job.py", line 337, in run
await self.future
File "/usr/local/lib/python3.7/site-packages/middlewared/job.py", line 361, in _run_body
rv = await self.middleware._call_worker(self.serviceobj, self.method_name, *self.args, job={'id': self.id})
File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 988, in _call_worker
job,
File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 920, in run_in_proc
return await self.run_in_executor(self.
_procpool, method, *args, **kwargs)
File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 905, in run_in_executor
return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
UnboundLocalError: local variable '_conf' referenced before assignment

History

#1 Updated by gerry the hat about 1 year ago

  • File debug-freenas-20181020132013.txz added
  • Private changed from No to Yes

#2 Updated by Dru Lavigne about 1 year ago

  • Category changed from GUI (new) to Middleware
  • Assignee changed from Release Council to William Grzybowski
  • Seen in changed from Unspecified to Master - FreeNAS Nightlies

#3 Updated by William Grzybowski about 1 year ago

  • Assignee changed from William Grzybowski to Brandon Schneider
  • Target version changed from Backlog to Master - FreeNAS Nightlies
  • Severity changed from New to Med High

#4 Updated by Brandon Schneider about 1 year ago

  • Status changed from Unscreened to In Progress

#5 Updated by Brandon Schneider about 1 year ago

#6 Updated by Brandon Schneider about 1 year ago

  • Status changed from In Progress to Done
  • Needs Merging changed from Yes to No

Hard to test for qa, moving to Done

#7 Updated by Dru Lavigne about 1 year ago

  • File deleted (debug-freenas-20181020132013.txz)

#8 Updated by Dru Lavigne about 1 year ago

  • Subject changed from Updating a jail gives traceback: to Fix traceback when updating a plugin
  • Target version changed from Master - FreeNAS Nightlies to 11.3
  • Private changed from Yes to No
  • Needs QA changed from Yes to No
  • Needs Doc changed from Yes to No

#9 Updated by Dru Lavigne 11 months ago

  • Target version changed from 11.3 to 11.3-BETA1

#10 Updated by Dru Lavigne 8 months ago

  • Target version changed from 11.3-BETA1 to 11.3-ALPHA1

Also available in: Atom PDF